/* Copyright (c) 2012 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

/** @file
 *
 * @defgroup ble_sdk_lib_nrf6310_pins nRF6310 Board LEDs and Buttons Pin Assignments
 * @{
 * @ingroup ble_sdk_lib
 * @brief Pin assignments for LEDs and Buttons on the nRF6310 board
 *
 * @details Pin assignments for LEDs and Buttons to be used in all SDK applications.
 */

#ifndef BLE_NRF6310_PINS_H__
#define BLE_NRF6310_PINS_H__

#define HASBRO_PROJECT	1

#if HASBRO_PROJECT
#define MODE_LED_0           28
#define MODE_LED_1           29
#define ONE_LED_2           30
#define TWO_LED_3           0
#define THREE_LED_4           1
#define FOURE_LED_5           2
#define FIVE_LED_6           3
#define SIX_LED_7           4
#define SENVENT_LED_7           5
#define LED_OUTPORT_0							NRF_GPIO_PORT_SELECT_PORT0 //20~60	
#define LED_OUTPORT_1							NRF_GPIO_PORT_SELECT_PORT3 //mode,10

#define NRF6310_BUTTON_0        0
#define NRF6310_BUTTON_1        1
#define NRF6310_BUTTON_2        2
#define NRF6310_BUTTON_3        3
#define NRF6310_BUTTON_4        4
#define NRF6310_BUTTON_5        5
#define NRF6310_BUTTON_6        6
#define NRF6310_BUTTON_7        7
#define SENSOR_INT							15

#define LED_OUTPORT_0_NONE        0x00
#define LED_OUTPORT_1_NONE        0x00

#define BIT_MODE_LED_0           0x10 //play mode
#define BIT_MODE_LED_1           0x20
#define BIT_ONE_LED_2            0x40
#define BIT_TWO_LED_3            0x01
#define BIT_THREE_LED_4          0x02
#define BIT_FOURE_LED_5          0x04
#define BIT_FIVE_LED_6           0x08 
#define BIT_SIX_LED_7            0x10
#define BIT_SENVENT_LED_8        0x20
#define BIT_SENVENT_LED_9        BIT_MODE_LED_1

	#define NRF6310_LED_0           28
	#define NRF6310_LED_1           9
	#define NRF6310_LED_2           10
	#define NRF6310_LED_3           11
	#define NRF6310_LED_4           12
	#define NRF6310_LED_5           13
	#define NRF6310_LED_6           14
	#define NRF6310_LED_7           5

#else //ON DKBOARD

	#define NRF6310_LED_0           8
	#define NRF6310_LED_1           9
	#define NRF6310_LED_2           10
	#define NRF6310_LED_3           11
	#define NRF6310_LED_4           12
	#define NRF6310_LED_5           13
	#define NRF6310_LED_6           14
	#define NRF6310_LED_7           15

	#define NRF6310_BUTTON_0        0
	#define NRF6310_BUTTON_1        1
	#define NRF6310_BUTTON_2        2
	#define NRF6310_BUTTON_3        3
	#define NRF6310_BUTTON_4        4
	#define NRF6310_BUTTON_5        5
	#define NRF6310_BUTTON_6        6
	#define NRF6310_BUTTON_7        7
	
#define BIT_MODE_LED_0           0xEF //play mode
#define BIT_MODE_LED_1           0xDF
#define BIT_ONE_LED_2            0xCF
#define BIT_TWO_LED_3            0xFE
#define BIT_THREE_LED_4          0xFD
#define BIT_FOURE_LED_5          0xFC
#define BIT_FIVE_LED_6           0xF8 
#define BIT_SIX_LED_7            0xEF
#define BIT_SENVENT_LED_8        0xDF
#define BIT_SENVENT_LED_9        BIT_MODE_LED_1
#define MODE_LED_0           28
#define MODE_LED_1           29
#define ONE_LED_2           30
#define TWO_LED_3           0
#define THREE_LED_4           1
#define FOURE_LED_5           2
#define FIVE_LED_6           3
#define SIX_LED_7           4
#define SENVENT_LED_7           5
#define LED_OUTPORT_0							NRF_GPIO_PORT_SELECT_PORT1//20~60	
#define LED_OUTPORT_1							NRF_GPIO_PORT_SELECT_PORT1 //mode,10
#define LED_OUTPORT_0_NONE        0x00
#define LED_OUTPORT_1_NONE        0x00


#endif

#define ADVERTISING_LED_PIN_NO  NRF6310_LED_0
#define CONNECTED_LED_PIN_NO    NRF6310_LED_1
#define ASSERT_LED_PIN_NO       NRF6310_LED_7


#endif // BLE_NRF6310_PINS_H__

/** @} */
